package com.ejie.ab39a.model;

/**
 * Eje.
 * 
 *  
 */

public class EjePe extends ElementosArbol implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idEje;
	private Long codPlane;
	private String helburucas;
	private String helburu;
	private Long ponderacion;

	/**
	 * Method 'Eje'.
	 */
	public EjePe() {
		super();
	}

	/**
	 * Method 'Eje'.
	 * 
	 * @param idEje
	 *            Long idEje
	 */
	public EjePe(Long idEje) {
		super();
		this.idEje = idEje;
	}

	/**
	 * Method 'Eje'.
	 * 
	 * @param idEje
	 *            Long idEje
	 * @param helburucas
	 *            String helburucas
	 * @param helburu
	 *            String helburu
	 * @param codPlane
	 *            Long codPlane
	 * 
	 */
	public EjePe(Long codPlane, Long idEje, String helburucas, String helburu) {
		super();

		this.idEje = idEje;
		this.codPlane = codPlane;
		this.helburu = helburu;
		this.helburucas = helburucas;
	}

	/**
	 * Constructor EjePe
	 * 
	 * @param codPlane
	 *            Long codPlane
	 * @param idEje
	 *            Long idEje
	 * @param orden
	 *            Long orden
	 * @param nivel
	 *            Long nivel
	 * @param nombre
	 *            String nombre
	 * @param nombrecas
	 *            String nombrecas
	 * @param helburu
	 *            String helburu
	 * @param helburucas
	 *            String helburucas
	 * @param elementoPadre
	 *            Long elementoPadre
	 * @param ponderacion
	 *            Long ponderacion
	 */
	public EjePe(Long codPlane, Long idEje, Long orden, Long nivel, String nombre, String nombrecas, String helburu,
			String helburucas, Long elementoPadre, Long ponderacion) {
		super(idEje, orden, nivel, nombre, nombrecas, helburu, helburucas, elementoPadre, codPlane);
		this.ponderacion = ponderacion;

	}

	/**
	 * Method 'getIdEje'.
	 *
	 * @return Long
	 */

	public Long getIdEje() {
		return this.idEje;
	}

	/**
	 * Method 'setIdEje'.
	 *
	 * @param idEje
	 *            Long
	 */

	public void setIdEje(Long idEje) {
		this.idEje = idEje;
	}

	/**
	 * Method 'getHelburu'.
	 *
	 * @return String
	 */

	public String getHelburu() {
		return this.helburu;
	}

	/**
	 * Method 'setHelburu'.
	 *
	 * @param helburu
	 *            String
	 */

	public void setHelburu(String helburu) {
		this.helburu = helburu;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idEje: ").append(this.idEje).append(" ]");
		result.append(", [ codPlane: ").append(this.codPlane).append(" ]");
		result.append(", [ helburucas: ").append(this.helburucas).append(" ]");
		result.append(", [ helburu: ").append(this.helburu).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * Method 'getCodPlane'.
	 * 
	 * @return Long
	 */
	public Long getCodPlane() {
		return this.codPlane;
	}

	/**
	 * Method 'setCodPlane'.
	 * 
	 * @param codPlane
	 *            Long
	 */
	public void setCodPlane(Long codPlane) {
		this.codPlane = codPlane;
	}

	/**
	 * Method 'getHelburucas'.
	 * 
	 * @return String
	 */
	public String getHelburucas() {
		return this.helburucas;
	}

	/**
	 * Method 'setHelburucas'.
	 * 
	 * @param helburucas
	 *            String
	 */
	public void setHelburucas(String helburucas) {
		this.helburucas = helburucas;
	}

	/**
	 * Method 'getPonderacion'.
	 * 
	 * @return Long
	 */
	public Long getPonderacion() {
		return this.ponderacion;
	}

	/**
	 * Method 'setPonderacion'.
	 * 
	 * @param ponderacion
	 *            Long
	 */
	public void setPonderacion(Long ponderacion) {
		this.ponderacion = ponderacion;
	}

}
